Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection
Interface RedisSetCommands

All Known Subinterfaces:
  RedisCommands, RedisConnection, StringRedisConnection

All Known Implementing Classes:
  DefaultStringRedisConnection, JedisConnection, JredisConnection, LettuceConnection, SrpConnection

    public interface RedisSetCommands

Set-specific commands supported by Redis.

Method Summary
`Long` | `sAdd(byte[] key, byte[]... values)`
`Long` | `sCard(byte[] key)`
`Set<byte[]>` | `sDiff(byte[]... keys)`
`Long` | `sDiffStore(byte[] destKey, byte[]... keys)`
`Set<byte[]>` | `sInter(byte[]... keys)`
`Long` | `sInterStore(byte[] destKey, byte[]... keys)`
`Boolean` | `sIsMember(byte[] key, byte[] value)`
`Set<byte[]>` | `sMembers(byte[] key)`
`Boolean` | `sMove(byte[] srcKey, byte[] destKey, byte[] value)`
`byte[]` | `sPop(byte[] key)`
`byte[]` | `sRandMember(byte[] key)`
`List<byte[]>` | `sRandMember(byte[] key, long count)`
`Long` | `sRem(byte[] key, byte[]... values)`
`Set<byte[]>` | `sUnion(byte[]... keys)`
`Long` | `sUnionStore(byte[] destKey, byte[]... keys)`

Method Detail

### sAdd

    Long sAdd(byte[] key,
              byte[]... values)

### sRem

    Long sRem(byte[] key,
              byte[]... values)

### sPop

    byte[] sPop(byte[] key)

### sMove

    Boolean sMove(byte[] srcKey,
                  byte[] destKey,
                  byte[] value)

### sCard

    Long sCard(byte[] key)

### sIsMember

    Boolean sIsMember(byte[] key,
                      byte[] value)

### sInter

    Set<byte[]> sInter(byte[]... keys)

### sInterStore

    Long sInterStore(byte[] destKey,
                     byte[]... keys)

### sUnion

    Set<byte[]> sUnion(byte[]... keys)

### sUnionStore

    Long sUnionStore(byte[] destKey,
                     byte[]... keys)

### sDiff

    Set<byte[]> sDiff(byte[]... keys)

### sDiffStore

    Long sDiffStore(byte[] destKey,
                    byte[]... keys)

### sMembers

    Set<byte[]> sMembers(byte[] key)

### sRandMember

    byte[] sRandMember(byte[] key)

### sRandMember

    List<byte[]> sRandMember(byte[] key,
                             long count)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD